<template>
    
    <v-row>
      <!-- <h4 class="mt-2 mb-3 ml-3 text-center">Xác nhận thông tin đơn hàng</h4> -->
      <v-col cols="12" lg="6" sm="6" class="pt-0 pb-0">
        <h5>Mã hóa đơn</h5>
      </v-col>
      <v-col cols="12" lg="6" sm="6" class="pt-0 pb-0">
        <h5>Ngày</h5>
      </v-col>
      <v-col cols="12" lg="6" sm="6" class="pt-0 pb-0">
        {{this.order.order_code}}
      </v-col>
      <v-col cols="12" lg="6" sm="6" class="pt-0 pb-0">
        {{this.order.order_code}}
      </v-col>
      
      <v-col cols="12" lg="6" sm="6" class="pt-2 pb-0">
        <h5>Khách hàng</h5>
      </v-col>
      <v-col cols="12" lg="6" sm="6" class="pt-1 pb-0">
        <h5>Điện thoại</h5>
      </v-col>
      <v-col cols="12" lg="6" sm="6" class="pt-1 pb-0">
        {{this.order.name_delivery}}
      </v-col>
      <v-col cols="12" lg="6" sm="6" class="pt-1 pb-0">
        {{this.order.phone_delivery}}
      </v-col>

      <v-col cols="12" lg="6" sm="6" class="pt-1 pb-0">
        <h5>Địa chỉ giao hàng</h5>
      </v-col>
      <v-col cols="12" lg="6" sm="6" class="pt-1 pb-0">
        <v-menu offset-y>
          <template v-slot:activator="{ on, attrs }">
            <v-btn
              color="primary"
              dark
              v-bind="attrs"
              v-on="on"
              class="rounded-pill"
              height="20px"
              width="120px"
            >
              {{payment.title}}
            </v-btn>
          </template>
          <v-list>
            <v-list-item
              v-for="(item1, index) in payment_method"
              :key="index"
            >
              <v-list-item-title @click="changePayMethod(item1)">
                {{ item1.title }}
              </v-list-item-title>
            </v-list-item>
          </v-list>
        </v-menu>
      </v-col>
      <v-col cols="12" lg="12" sm="12" class="pt-1 pb-0">
        {{this.order.customer_address}}
      </v-col>
      <v-col cols="12" lg="12" sm="12" class="pt-1 pb-0">
        <h5 >Giỏ hàng (5 sản phẩm) 192.000</h5>
      </v-col>
      <v-col cols="12" lg="12" sm="12" class="pt-1 pb-0">
        <swipe-list
          ref="list"
          class="card lst-items"
          :items="this.lstProduct"
          item-key="id"
        >
          <template v-slot="{ item, index, revealLeft, revealRight, close }">
            <div class="card-content">
              <v-row>
                <v-col cols="2" md="2" class="pr-1 pt-2">
                  <v-img
                    width="50"
                    src="https://cf.shopee.vn/file/8add33398aa57b801cb8b05c87c8532d"
                  ></v-img>
                </v-col>
                <v-col cols="10" md="10" class="pt-1 pb-0">
                  <v-row>
                    <v-col cols="12" md="12" class="pr-1 pt-1 pb-0">
                      <!-- style content how ever you like -->
                      <h5 class="red--text">{{ item.product_name }} ({{formatPrice(item.amount,0)}})</h5>
                    </v-col>
                  </v-row>
                  <v-row>
                    <v-col sm="4" class="pr-1 pb-0 pt-0 dark-gray--text"> {{formatPrice(item.quanity,0)}} x {{formatPrice(item.price,0)}} </v-col>
                  </v-row>
                </v-col>
              </v-row>
            </div>
            <v-divider class="dark-gray" />
          </template>
          <!-- left swipe side template and v-slot:left="{ item }" is the item clearly -->
          <!-- remove if you dont wanna have left swipe side  -->
          <!-- right swipe side template and v-slot:right"{ item }" is the item clearly -->
          <!-- remove if you dont wanna have right swipe side  -->
          <template v-slot:right="{ item }">
            <div class="swipeout-action gray" @click="deleteProduct(detail)">
              <v-icon color="white"> mdi-trash </v-icon>
              <!-- place icon here or what ever you want -->
            </div>
            <div class="swipeout-action text-center red pa-4">
              <v-icon color="white"> mdi-close </v-icon>
              <!-- place icon here or what ever you want -->
              <!-- <i class="fa fa-heart"></i> -->
            </div>
          </template>
          <template v-slot:empty>
            <div>
              <!-- change mockSwipeList to an empty array to see this slot in action  -->
              list is empty ( filtered or just empty ) abc
            </div>
          </template>
        </swipe-list>
      </v-col>
    </v-row>
</template>

<script>
  import axios from 'axios'
  import config from '../../config/config.js'
  import { SwipeList, SwipeOut } from "vue-swipe-actions"
  import "vue-swipe-actions/dist/vue-swipe-actions.css"

  export default {
    layout: 'dashboard',
    components: {
      SwipeOut,
      SwipeList,
    },
    props: {
      order: {
        // type: Array,
        // default: () => ([]),
      },
      lstProduct: {
        type: Array,
        default: () => ([]),
      },
    },
    data () {
      return {
        payment_method: [
          { code: 'TM', title: 'Tiền mặt' },
          { code: 'ATM', title: 'Chuyển khoản' },
          { code: 'MOMO', title: 'Momo' },
        ],
        payment: {
          code: 'TM', title: 'Tiền mặt' 
        } 
      }
    },
    computed: {},
    mounted: function () {}, // end method
    created () {
      console.log("order", this.order);
    }, // end data
    methods: {
      // Swipe
    revealFirstRight() {
      this.$refs.list.revealRight(0);
    },
    revealFirstLeft() {
      this.$refs.list.revealLeft(0);
    },
    closeFirst() {
      this.$refs.list.closeActions(0);
    },
    closeAll() {
      this.$refs.list.closeActions();
    },
    remove(item) {
      this.mockSwipeList = this.mockSwipeList.filter((i) => i !== item);
      console.log(e, 'remove');
    },
    itemClick(e) {
      console.log(e, "item click 44");
    },
    fbClick(e) {
      console.log(e, "First Button Click");
    },
    sbClick(e) {
      console.log(e, "Second Button Click");
    },
    formatPrice(value, tofix) {
      const val = (value / 1).toFixed(tofix).replace(",", ".");
      return val.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
    },
    changePayMethod(item){
      this.payment.code = item.code;
      this.payment.title = item.title;
    }
    // End Swipe
      
    }, // end created
  } // End exxport defaul
</script>
<style scoped>

</style>
